//+------------------------------------------------------------------+
//|                                                   PlotArrows.mq4 |
//|                                                         Scorpion |
//|                                       http://www.fxfisherman.com |
//+------------------------------------------------------------------+
#property copyright "Scorpion"
#property link      "http://www.fxfisherman.com"
#property show_inputs

extern color SellColor=MediumBlue;
extern color CloseSell=MediumSlateBlue;
extern color BuyColor=White;
extern color CloseBuy=LightPink;

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//---- 

  int i,hstTotal=HistoryTotal();

  for(i=0;i<hstTotal;i++)
    {
      //---- check selection result
      if(OrderSelect(i,SELECT_BY_POS,MODE_HISTORY))
      {
        ObjectCreate("e" + i, OBJ_ARROW, 0, OrderOpenTime(), OrderOpenPrice());
        ObjectCreate("ep" + i, OBJ_ARROW, 0, OrderOpenTime(), OrderOpenPrice());
        ObjectCreate("x" + i, OBJ_ARROW, 0, OrderCloseTime(), OrderClosePrice());
        if (OrderType()==OP_BUY)
        {
          ObjectSet("e" + i, OBJPROP_ARROWCODE, SYMBOL_ARROWUP);
          ObjectSet("e" + i, OBJPROP_COLOR, BuyColor);
          ObjectSet("ep" + i, OBJPROP_ARROWCODE, SYMBOL_LEFTPRICE);
          ObjectSet("ep" + i, OBJPROP_COLOR, BuyColor);
          ObjectSet("x" + i, OBJPROP_ARROWCODE, SYMBOL_LEFTPRICE);
          ObjectSet("x" + i, OBJPROP_COLOR, CloseBuy);
        } else if (OrderType()==OP_SELL){
          ObjectSet("e" + i, OBJPROP_ARROWCODE, SYMBOL_ARROWDOWN);
          ObjectSet("e" + i, OBJPROP_COLOR, SellColor);
          ObjectSet("ep" + i, OBJPROP_ARROWCODE, SYMBOL_RIGHTPRICE);
          ObjectSet("ep" + i, OBJPROP_COLOR, SellColor);
          ObjectSet("x" + i, OBJPROP_ARROWCODE, SYMBOL_RIGHTPRICE);
          ObjectSet("x" + i, OBJPROP_COLOR, CloseSell);
        }

      }else{
        Print("Access to history failed with error (",GetLastError(),")");
        break;
      }
      // some work with order
    }


//----
   return(0);
  }
//+------------------------------------------------------------------+